Subject: Re: linux-next: build failure after merge of the pci tree

From: Krzysztof Wilczyński <[email-masked]>
Date: Mon, 23 Oct 2023 21:56:54 +0900

Hello,

> > > > After merging the pci tree, today's linux-next build (x86_64 allmodconfig)
> > > > failed like this:
> > > >
> > > > ERROR: modpost: "dw_pcie_write_dbi2" [drivers/pci/controller/dwc/pcie-rcar-gen4.ko] undefined!
> > [...]
> > 
> > > However, I completely forgot it...
> > 
> > That's OK.  Don't worry. :)
> > 
> > > https://lore.kernel.org/linux-pci/[email-masked]/
> > >
> > > I confirmed that the patch above can be applied on the latest pci.git / next branch.
> > 
> > I will take care of it.
> 
> Thank you very much for your support!
[...]

Done.  Applied to the following branch:

  https://git.kernel.org/pub/scm/linux/kernel/git/pci/pci.git/log/?h=controller/rcar

Bjorn will push updated next when he has a moment.

[...]
> This is because I added COMPILE_TEST to the Kconfig like below:
> 
> ---
> config PCIE_RCAR_GEN4_HOST
>         tristate "Renesas R-Car Gen4 PCIe controller (host mode)"
>         depends on ARCH_RENESAS || COMPILE_TEST

Ah yes, sorry!  I should have assumed as much. :)  Thank you!

	Krzysztof